You are here

AN60317 - PSoC® 3 and PSoC 5LP I2C Bootloader | Cypress Semiconductor

AN60317 - PSoC® 3 and PSoC 5LP I2C Bootloader

최신 업데이트: 
2017년 7월 06일
버전: 
*M

AN60317 describes an I2C-based bootloader for PSoC® 3 and PSoC 5LP. In this application note you will learn how to use PSoC Creator™ to quickly and easily build an I2C-based bootloader project, and bootloadable projects. It also shows how to build an I2C-based embedded bootloader host program.

Bootloading is a process that allows you to upgrade your system firmware over a standard communication interface such as USB, I2C, UART or SPI. A bootloader communicates with a host to get new application code or data, and writes it into the device's flash memory.

This application note describes an I2C based bootloader for PSoC 3 and PSoC 5LP. To get introduced to basics of PSoC 3 and PSoC 5LP Bootloader please refer AN73854 - PSoC® 3 and PSoC 5LP - Introduction to Bootloaders. If you intend to learn how to develop USB Bootloader for PSoC 3 and PSoC 5LP, AN73503 - USB HID Bootloader for PSoC® 3 and PSoC 5LP should get you going.

The following table indicates the PSoC devices, PSoC Creator versions, compilers, and development kits that will work with this application note project:

Project
Device
PSoC Creator
Version
Development Kit
CY8CKIT-xxx
Compiler
아키텍처
Silicon
Revision
V3.0 SP1
or higher
V2.2
001
DVK
030/050
DVK
003/014
FTK
Keil
GCC
RVDS
MDK

AN60317.zip

Prod
아니오
YES*
아니오
해당 없음
해당 없음
해당 없음
Prod
아니오
YES*
아니오
해당 없음
AN60317_Archive.zip
Prod
아니오
YES*
아니오
해당 없음
해당 없음
해당 없음
Prod
아니오
YES*
아니오
해당 없음

*Refer to Migrating CY8CKIT-001 DVK project to CY8CKIT 030/ 050

Notes:
  1. For PSoC 5 project and related document, please download file AN60317_Archive.zip.

Projects associated with this application note can be downloaded from the ‘Related Files’ section below. For your convenience, we have provided projects that are compatible with the two most recent versions of PSoC Creator:

  • AN60317.zip is used with PSoC Creator 3.0 SP1
  • AN60317_Archive.zip is used with PSoC Creator 2.2

The project’s default settings may not be compatible with your device or kit, and you may need to change your project settings. For more information, see: